multiply< F > Struct Template Reference

Class template to implement a matrix - field multiplication. More...

`#include <mia/core/sparse_solver.hh>`

Inheritance diagram for multiply< F >:
[legend]

## Static Public Member Functions

static void | apply (F &result, const typename TSparseSolver< F >::A_mult_x &A, const F &x)

## Detailed Description

template<typename F>
struct multiply< F >

Class template to implement a matrix - field multiplication.

This class implements the multiplication of a sparse structured matrix by a field representing the input vector data. This structure is just a stub ans needs to be instanciated for specific fields.

Template Parameters

  F | the field that representes the data to be multiplied by the matrix

Definition at line 158 of file sparse_solver.hh.

## Member Function Documentation

## apply()

template<typename F>

void multiply< F >::apply | ( | F & | result,
|  | const typename TSparseSolver< F >::A_mult_x & | A,
|  | const F & | x )

inline static

The function to apply the multiplication

Parameters

  [out] | result | location to store the result, ususally it should be allocated and of the same size like x
  [in] | A | sparse Matrix
  [in] | x | the filed to multiply with the matrix

Definition at line 165 of file sparse_solver.hh.

Referenced by operator*().

The documentation for this struct was generated from the following file:

- sparse_solver.hh